Rated TV shows
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/tv/rated \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/tv/rated"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/tv/rated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"account_rating": {
"created_at": "2025-01-07T01:14:14.080Z",
"value": 8
},
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [
10764
],
"id": 204082,
"name": "Squid Game: The Challenge",
"origin_country": [
"GB"
],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 159.641,
"poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg",
"vote_average": 6.28,
"vote_count": 480
},
{
"account_rating": {
"created_at": "2025-01-29T09:15:05.597Z",
"value": 8.5
},
"adult": false,
"backdrop_path": "/mc3rG5M9dFVjMfaCFNfbD5gu2pK.jpg",
"first_air_date": "2005-02-06",
"genre_ids": [
16,
35
],
"id": 1433,
"name": "American Dad!",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "American Dad!",
"overview": "The series focuses on an eccentric motley crew that is the Smith family and their three housemates: Father, husband, and breadwinner Stan Smith; his better half housewife, Francine Smith; their college-aged daughter, Hayley Smith; and their high-school-aged son, Steve Smith. Outside of the Smith family, there are three additional main characters, including Hayley's boyfriend turned husband, Jeff Fischer; the family's man-in-a-goldfish-body pet, Klaus; and most notably the family's zany alien, Roger, who is \"full of masquerades, brazenness, and shocking antics.\"",
"popularity": 547.859,
"poster_path": "/j84ZtVRoxKWTsQUya77um4l8Dqs.jpg",
"vote_average": 6.962,
"vote_count": 2169
}
],
"total_pages": 1,
"total_results": 2
}Rated TV shows
This endpoint get a users rated tv shows.
GET
/
4
/
account
/
{account_object_id}
/
tv
/
rated
Rated TV shows
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
the page number
The ISO 639-1 code for the language
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Rated TV shows
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"account_rating": {
"created_at": "2025-01-07T01:14:14.080Z",
"value": 8
},
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [10764],
"id": 204082,
"name": "Squid Game: The Challenge",
"origin_country": ["GB"],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 159.641,
"poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg",
"vote_average": 6.28,
"vote_count": 480
},
{
"account_rating": {
"created_at": "2025-01-29T09:15:05.597Z",
"value": 8.5
},
"adult": false,
"backdrop_path": "/mc3rG5M9dFVjMfaCFNfbD5gu2pK.jpg",
"first_air_date": "2005-02-06",
"genre_ids": [16, 35],
"id": 1433,
"name": "American Dad!",
"origin_country": ["US"],
"original_language": "en",
"original_name": "American Dad!",
"overview": "The series focuses on an eccentric motley crew that is the Smith family and their three housemates: Father, husband, and breadwinner Stan Smith; his better half housewife, Francine Smith; their college-aged daughter, Hayley Smith; and their high-school-aged son, Steve Smith. Outside of the Smith family, there are three additional main characters, including Hayley's boyfriend turned husband, Jeff Fischer; the family's man-in-a-goldfish-body pet, Klaus; and most notably the family's zany alien, Roger, who is \"full of masquerades, brazenness, and shocking antics.\"",
"popularity": 547.859,
"poster_path": "/j84ZtVRoxKWTsQUya77um4l8Dqs.jpg",
"vote_average": 6.962,
"vote_count": 2169
}
]
Example:
1
Example:
2
⌘I